System.ComponentModel.DataAnnotations 4.0.0.0 System.Object To be added.

Defines a helper class that can be used to validate objects, properties, and methods when it is included in their associated attributes.

- Method
  4.0.0.0
  System.Boolean `` `` ``

  This method evaluates each instance that is attached to the object type. It also checks whether each property that is marked with is provided. It does not recursively validate the property values of the object.

  Determines whether the specified object is valid using the validation context and validation results collection.

  true if the object validates; otherwise, false.

  The object to validate. The context that describes the object to validate. A collection to hold each failed validation.
- Method
  4.0.0.0
  System.Boolean `` `` `` ``

  This method evaluates each instance that is attached to the object type. It also checks whether each property that is marked with is provided. It does not recursively validate the property values of the object.

  Determines whether the specified object is valid using the validation context, validation results collection, and a value that specifies whether to validate all properties.

  true if the object validates; otherwise, false.

  The object to validate. The context that describes the object to validate. A collection to hold each failed validation. true to validate all properties; if false, only required attributes are validated..
- Method
  4.0.0.0
  System.Boolean `` `` ``

  This method tests each instance that is associated with the property that is identified by the parameter.

  Validates the property.

  true if the property validates; otherwise, false.

  The value to validate. The context that describes the property to validate. A collection to hold each failed validation.
- Method
  4.0.0.0
  System.Boolean `` `` `` ``

  This method tests each validation attribute in the parameter against the parameter. If the parameter is not null, this method adds a object for each validation failure to the validation results collection. If the parameter is null, this method does not add a object to the collection. If a attribute is included in the parameter, the attribute is evaluated first.

  Returns a value that indicates whether the specified value is valid with the specified attributes.

  true if the object validates; otherwise, false.

  The value to validate. The context that describes the object to validate. A collection to hold failed validations. The validation attributes.
- Method
  4.0.0.0
  System.Void `` ``

  This method evaluates each instance that is attached to the object type.

  Determines whether the specified object is valid using the validation context.

  The object to validate. The context that describes the object to validate.
- Method
  4.0.0.0
  System.Void `` `` ``

  This method evaluates each instance that is attached to the object type.

  Determines whether the specified object is valid using the validation context, and a value that specifies whether to validate all properties.

  The object to validate. The context that describes the object to validate. true to validate all properties; otherwise, false.
- Method
  4.0.0.0
  System.Void `` ``

  This method tests each instance that is associated with the property identified by the parameter.

  Validates the property.

  The value to validate. The context that describes the property to validate.
- Method
  4.0.0.0
  System.Void `` `` ``

  This method tests each validation attribute in the parameter against the parameter. If a attribute is included, the attribute is evaluated first.

  Validates the specified attributes.

  The value to validate. The context that describes the object to validate. The validation attributes.